log using coefgraph1.log, replace

/************************************************/
/* 1st LFP Regression Coeff Graph w/ March CPS 	*/
/* Coile, Duggan, Guo							*/
/* January 09, 2015  							*/
/************************************************/
clear all
set more off

use cpsmaster.dta, clear

// Divide into Year Groups
gen group=1 if year>=1980 & year<=1984
replace group=2 if year>=1985 & year<=1989 
replace group=3 if year>=1990 & year<=1994
replace group=4 if year>=1995 & year<=1999
replace group=5 if year>=2000 & year<=2004
replace group=6 if year>=2005 & year<=2009
replace group=7 if year>=2010 & year<=2014

//Create matrix to store coefficient estimates
matrix vet25_64 = J(7,3,.)
matrix coln vet25_64 = coeff l95 u95
matrix rown vet25_64 = 80-84 85-89 90-94 95-99 00-04 05-09 10-14

//Estimating LFP Regressions
forval i=1/7 {
	areg inlf vet black other hispanic yearDV* if a_age>=25 & a_age<=64 & group==`i' [aw=a_fnlwgt], a(a_age) 
	matrix vet25_64[`i',1] = _b[vet], _b[vet]-1.96*_se[vet], _b[vet]+1.96*_se[vet]
	}
	
matrix list vet25_64

coefplot (matrix(vet25_64[,1]), ci((vet25_64[,2] vet25_64[,3]))), yline(0) vertical ///
xtitle("Year groups") ytitle("Coefficients on Veteran") scheme(s1mono)

graph export Graph1.png, replace

log close
